Module | Spec::Example::Pending
In: | lib/spec/example/pending.rb

### Methods

pending

### Public Instance methods

pending(message = "TODO") {|| ...}

[Source]

        # File lib/spec/example/pending.rb, line 4
     4:       def pending(message = "TODO")
     5:         if block_given?
     6:           begin
     7:             yield
     8:           rescue Exception => e
     9:             raise Spec::Example::ExamplePendingError.new(message)
    10:           end
    11:           raise Spec::Example::PendingExampleFixedError.new("Expected pending '#{message}' to fail. No Error was raised.")
    12:         else
    13:           raise Spec::Example::ExamplePendingError.new(message)
    14:         end
    15:       end

[Validate]